#include <stdio.h>




int main()

{
	int N, M, K;
	scanf("%d %d %d",&N,&M,&K);
	int niza[K-1];
	int nizb[K-1];
	int i;
	for (i=0;i<K;i++){
	scanf ("%d %d",&niza[i],&nizb[i]);
	}
	printf ("%d",N*M/5);
	return 0;
}